admin.css 6.8 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358
  1. /* * {
  2. -webkit-box-sizing: border-box;
  3. -moz-box-sizing: border-box;
  4. box-sizing: border-box;
  5. } */
  6. #logo {
  7. height: 30px;
  8. vertical-align: -6px;
  9. padding-right: 5px;
  10. }
  11. #site-name:hover a {
  12. opacity: 0.9;
  13. }
  14. #site-name .loader {
  15. height: 25px;
  16. width: 25px;
  17. display: inline-block;
  18. border-width: 3px;
  19. vertical-align: -3px;
  20. margin-right: 5px;
  21. margin-top: 2px;
  22. }
  23. #branding h1, #branding h1 a:link, #branding h1 a:visited {
  24. color: mintcream;
  25. }
  26. #header {
  27. background: #aa1e55;
  28. padding: 6px 14px;
  29. }
  30. #content {
  31. padding: 8px 8px;
  32. }
  33. #user-tools {
  34. font-size: 13px;
  35. }
  36. div.breadcrumbs {
  37. background: #772948;
  38. color: #f5dd5d;
  39. padding: 6px 15px;
  40. }
  41. #toolbar #searchbar {
  42. height: 25px;
  43. }
  44. #snapshot-view-mode {
  45. float: right;
  46. margin-bottom: -40px;
  47. display: inline-block;
  48. margin-top: 3px;
  49. margin-right: 10px;
  50. font-size: 14px;
  51. opacity: 0.8;
  52. }
  53. #snapshot-view-mode a {
  54. color: #ccc;
  55. }
  56. body.model-snapshot.change-list div.breadcrumbs,
  57. body.model-snapshot.change-list #content .object-tools {
  58. display: none;
  59. }
  60. .module h2, .module caption, .inline-group h2 {
  61. background: #772948;
  62. }
  63. #content .adv-data textarea {
  64. width: 82vw;
  65. max-width: 100%;
  66. min-height: 100px;
  67. height: auto;
  68. background-color: #145454;
  69. color: #f1f1fd;
  70. font-size: 12px;
  71. font-family: monospace;
  72. border-radius: 8px;
  73. line-height: 1.2;
  74. padding: 6px 9px;
  75. }
  76. #content .object-tools {
  77. margin-top: -35px;
  78. margin-right: -10px;
  79. float: right;
  80. }
  81. #content .object-tools a:link, #content .object-tools a:visited {
  82. border-radius: 0px;
  83. background-color: #f5dd5d;
  84. color: #333;
  85. font-size: 12px;
  86. font-weight: 800;
  87. }
  88. #content .object-tools a.addlink {
  89. background-blend-mode: difference;
  90. }
  91. #content #changelist #toolbar {
  92. padding: 0px;
  93. background: none;
  94. margin-bottom: 10px;
  95. border-top: 0px;
  96. border-bottom: 0px;
  97. }
  98. #content #changelist #toolbar form input[type="submit"] {
  99. border-color: #aa1e55;
  100. }
  101. #content #changelist-filter li.selected a {
  102. color: #aa1e55;
  103. }
  104. /*#content #changelist .actions {
  105. position: fixed;
  106. bottom: 0px;
  107. z-index: 800;
  108. }*/
  109. #content #changelist .actions {
  110. float: right;
  111. margin-top: -34px;
  112. padding: 0px;
  113. background: none;
  114. margin-right: 0px;
  115. width: auto;
  116. max-height: 40px;
  117. display: block;
  118. }
  119. @media (max-width: 1000px) {
  120. #content #changelist .actions {
  121. max-height: 200px;
  122. }
  123. }
  124. #content #changelist .actions .button {
  125. border-radius: 2px;
  126. background-color: #f5dd5d;
  127. color: #333;
  128. font-size: 12px;
  129. font-weight: 800;
  130. margin-right: 4px;
  131. box-shadow: 4px 4px 4px rgba(0,0,0,0.02);
  132. border: 1px solid rgba(0,0,0,0.08);
  133. }
  134. #content #changelist .actions .button:hover {
  135. border: 1px solid rgba(0,0,0,0.2);
  136. opacity: 0.9;
  137. }
  138. #content #changelist .actions .button[name=verify_snapshots], #content #changelist .actions .button[name=update_titles] {
  139. background-color: #dedede;
  140. color: #333;
  141. }
  142. #content #changelist .actions .button[name=update_snapshots] {
  143. background-color: #9ee54b;
  144. color: #333;
  145. }
  146. #content #changelist .actions .button[name=resnapshot_snapshot] {
  147. background-color:lightseagreen;
  148. color: #333;
  149. }
  150. #content #changelist .actions .button[name=overwrite_snapshots] {
  151. background-color: #ffaa31;
  152. color: #333;
  153. margin-left: 10px;
  154. }
  155. #content #changelist .actions .button[name=delete_snapshots] {
  156. background-color: #f91f74;
  157. color: rgb(255 248 252 / 64%);
  158. }
  159. #content #changelist .actions .button[name=add_tags] {
  160. }
  161. #content #changelist .actions .button[name=remove_tags] {
  162. margin-right: 25px;
  163. }
  164. #content #changelist .actions > label {
  165. max-height: 25px;
  166. }
  167. #content #changelist .actions > label {
  168. width: auto !important;
  169. min-width: 90px;
  170. }
  171. #content #changelist .actions > label > select {
  172. margin-top: 3px;
  173. }
  174. #content #changelist-filter h2 {
  175. border-radius: 4px 4px 0px 0px;
  176. }
  177. #changelist .paginator {
  178. border-top: 0px;
  179. border-bottom: 0px;
  180. }
  181. @media (min-width: 767px) {
  182. #content #changelist-filter {
  183. top: 35px;
  184. width: 110px;
  185. margin-bottom: 35px;
  186. }
  187. .change-list .filtered .results,
  188. .change-list .filtered .paginator,
  189. .filtered #toolbar,
  190. .filtered div.xfull {
  191. margin-right: 115px;
  192. }
  193. }
  194. @media (max-width: 1127px) {
  195. #content #changelist .actions {
  196. position: fixed;
  197. bottom: 6px;
  198. left: 10px;
  199. float: left;
  200. z-index: 1000;
  201. }
  202. }
  203. #content a img.favicon {
  204. height: 20px;
  205. max-width: 28px;
  206. vertical-align: -5px;
  207. padding-right: 6px;
  208. }
  209. #content td, #content th {
  210. vertical-align: middle;
  211. padding: 4px;
  212. }
  213. #content #changelist table input {
  214. vertical-align: -2px;
  215. }
  216. #content thead th .text a {
  217. padding: 8px 4px;
  218. }
  219. #content th.field-added, #content td.field-updated {
  220. word-break: break-word;
  221. min-width: 135px;
  222. white-space: normal;
  223. }
  224. #content th.field-title_str {
  225. min-width: 300px;
  226. }
  227. #content td.field-files {
  228. white-space: nowrap;
  229. }
  230. #content td.field-files .exists-True {
  231. opacity: 1;
  232. }
  233. #content td.field-files .exists-False {
  234. opacity: 0.1;
  235. filter: grayscale(100%);
  236. }
  237. #content td.field-size {
  238. white-space: nowrap;
  239. }
  240. #content td.field-url_str {
  241. word-break: break-all;
  242. min-width: 200px;
  243. }
  244. #content tr b.status-pending {
  245. font-weight: 200;
  246. opacity: 0.6;
  247. }
  248. .loader {
  249. border: 16px solid #f3f3f3; /* Light grey */
  250. border-top: 16px solid #3498db; /* Blue */
  251. border-radius: 50%;
  252. width: 30px;
  253. height: 30px;
  254. box-sizing: border-box;
  255. animation: spin 2s linear infinite;
  256. }
  257. @keyframes spin {
  258. 0% { transform: rotate(0deg); }
  259. 100% { transform: rotate(360deg); }
  260. }
  261. .tag {
  262. float: right;
  263. border-radius: 5px;
  264. background-color: #bfdfff;
  265. padding: 2px 5px;
  266. margin-left: 4px;
  267. margin-top: 1px;
  268. }
  269. .exists-False {
  270. opacity: 0.1;
  271. filter: grayscale(100%);
  272. }
  273. #result_list tbody td.field-cmd_str pre,
  274. #result_list tbody td.field-output_str pre {
  275. max-width: 22vw;
  276. word-wrap: anywhere;
  277. white-space: break-spaces;
  278. max-height: 40px;
  279. overflow: hidden;
  280. margin: 2px;
  281. background-color: rgba(0,0,0,0.05);
  282. padding: 1px 4px 16px 8px;
  283. border-radius: 4px;
  284. }
  285. #result_list tbody td.field-extractor {
  286. font-weight: 800;
  287. font-variant: small-caps;
  288. }
  289. #result_list tbody td.field-status {
  290. font-variant: small-caps;
  291. }
  292. .inline-group .tabular td.original p {
  293. margin-top: -28px;
  294. }
  295. tbody .output-link {
  296. float: right;
  297. margin-bottom: -25px;
  298. margin-right: -3px;
  299. margin-top: -4px;
  300. opacity: 0.4;
  301. box-shadow: 4px 4px 4px rgba(0,0,0,0.1);
  302. }
  303. tbody .output-link:hover {opacity: 1;}
  304. @keyframes fadeIn {
  305. 0% { opacity: 0; }
  306. 30% { opacity: 0.1;}
  307. 100% { opacity: 1; }
  308. }
  309. .fade-in-progress-url {
  310. animation: fadeIn 14s;
  311. }